﻿namespace InstallPartner
{
    /// <summary>
    /// This struct provides values for updating the status during an install.
    /// </summary>
    public struct InstallStatus
    {
        /// <summary>
        /// Gets or sets the text to be added to the status line.
        /// </summary>
        /// <value>The text to be added to the status line.</value>
        public string StatusLine { get; set; }

        /// <summary>
        /// Gets or sets the text to be appended to the log.
        /// </summary>
        /// <value>The text to be appended to the log.</value>
        public string StatusLog { get; set; }
    }
}