﻿using System;
using System.Windows.Forms;

namespace InstallPartner
{
    /// <summary>
    /// This is the main entry point for the application.
    /// </summary>
    public static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        /// <param name="args">The command line arguments.</param>
        [STAThread]
        public static void Main(string[] args)
        {
            string profile = args.Length > 0 ? args[0] : string.Empty;

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm(profile));
        }
    }
}
